Package com.documentum.fc.client.aspect

# Interface IDfAspects

All Known Implementing Classes:
  `AtmosStore`, `com.documentum.fc.client.DfPersistentObject`, `com.documentum.fc.client.content.impl.Store`

public interface IDfAspects
Interface providing aspect operations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `attachAspect(String name, IDfAttachAspectCallback callback)`
  Attaches the named aspect and invokes the optional callback when the object is completely rebuilt.
  `void`
  `detachAspect(String name, IDfDetachAspectCallback callback)`
  Detaches the named aspect and invokes the optional callback when the object is completely rebuilt.
  `IDfList`
  `getAspects()`
  Returns a list of the names of all attached aspects.

- ## Method Details

  - ### attachAspect

    void attachAspect(String name, IDfAttachAspectCallback callback) throws DfException
    Attaches the named aspect and invokes the optional callback when the object is completely rebuilt.

    The callback is intended for use when you are attaching aspects from within a TBO or aspect implementation. If you are attaching an aspect from a normal DFC context just refetch the object (to access the new proxy) and use it directly.

    Parameters:
      `name` - the name of the aspect to attach
      `callback` - a callback object, or `null`
    Throws:
      `DfException` - if a server error occurs

  - ### detachAspect

    void detachAspect(String name, IDfDetachAspectCallback callback) throws DfException
    Detaches the named aspect and invokes the optional callback when the object is completely rebuilt.

    The callback is intended for use when you are detaching aspects from within a TBO or aspect implementation. If you are detaching an aspect from a normal DFC context just refetch the object (to access the new proxy) and use it directly.

    Parameters:
      `name` - the name of the aspect to detach
      `callback` - a callback object, or `null`
    Throws:
      `DfException` - if a server error occurs

  - ### getAspects

    IDfList getAspects() throws DfException
    Returns a list of the names of all attached aspects.
    Returns:
      a list of the names of all attached aspects
    Throws:
      `DfException` - if a server error occurs